Get a card by id
curl --request GET \
--url https://api-sandbox.orum.io/deliver/cards/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.orum.io/deliver/cards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.orum.io/deliver/cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "billing",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last4": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"pull_eligible": true,
"push_eligible": true,
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {},
"status_reasons": [
{
"reason_code": "invalid_address",
"reason_code_message": "Address submitted is a non-supported address type"
}
]
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Cards
Get A Card By ID
Get a card object by id.
GET
/
deliver
/
cards
/
{id}
Get a card by id
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Orum generated unique id for the resource for the card you are fetching. Orum generated unique id for the resource.
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I